//
//  NewTaskView.swift
//  TaskList
//
//  Created by Daniel Price on 11/4/19.
//  Copyright © 2019 Twice as Tall Integration. All rights reserved.
//

import SwiftUI

struct NewTaskView: View {
  var taskStore: TaskStore
  
  @Environment(\.presentationMode) var presentationMode
  @State var text = ""
  
  var body: some View {
    Form {
      TextField("Task Name", text: $text)
      Button ("Add"){
        self.taskStore.tasks.append(
          Task(name: self.text)
        )
        
        self.presentationMode.wrappedValue.dismiss()
      }
      .disabled(text.isEmpty)
    }
  }
}

struct NewTaskView_Previews: PreviewProvider {
  static var previews: some View {
    NewTaskView(taskStore: TaskStore())
  }
}
