//
//  SectionView.swift
//  TaskList
//
//  Created by Daniel Price on 11/4/19.
//  Copyright © 2019 Twice as Tall Integration. All rights reserved.
//

import SwiftUI

struct SectionView: View {
  @Binding var prioritizedTasks: TaskStore.PrioritizedTasks
  
  var body: some View {
        ForEach(
          Array( prioritizedTasks.tasks.enumerated() ),
          id: \.element.id
          ) { index, _ in
          RowView(task: self.$prioritizedTasks.tasks[index])
        }
        .onMove { sourceIndices, destinationIndex in
          self.prioritizedTasks.tasks.move(fromOffsets: sourceIndices, toOffset: destinationIndex)
        }
        .onDelete{ indexSet in
          self.prioritizedTasks.tasks.remove(atOffsets: indexSet)
        }
    }
}


